
_Main_Init:

;electronique_interface_midi_005b_16f628.mpas,111 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,112 :: 		CMCON := 7;            // disable comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_interface_midi_005b_16f628.mpas,113 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_interface_midi_005b_16f628.mpas,116 :: 		INTCON := 0;
	CLRF       INTCON+0
;electronique_interface_midi_005b_16f628.mpas,117 :: 		INTCON.GIE := 1;       // |- enable interrupt (for UART use only)
	BSF        INTCON+0, 7
;electronique_interface_midi_005b_16f628.mpas,118 :: 		INTCON.PEIE := 1;      // |
	BSF        INTCON+0, 6
;electronique_interface_midi_005b_16f628.mpas,120 :: 		TRISA      := %00000000;
	CLRF       TRISA+0
;electronique_interface_midi_005b_16f628.mpas,121 :: 		TRISB      := %11110011;
	MOVLW      243
	MOVWF      TRISB+0
;electronique_interface_midi_005b_16f628.mpas,122 :: 		PORTA      := %00000000;  // clear porta
	CLRF       PORTA+0
;electronique_interface_midi_005b_16f628.mpas,123 :: 		PORTB      := %11110000;  // clear portb
	MOVLW      240
	MOVWF      PORTB+0
;electronique_interface_midi_005b_16f628.mpas,126 :: 		TXSTA.TX9 := 0;     // 8-bits transmission
	BCF        TXSTA+0, 6
;electronique_interface_midi_005b_16f628.mpas,127 :: 		TXSTA.TXEN := 1;    // Tx enabled, even if not used
	BSF        TXSTA+0, 5
;electronique_interface_midi_005b_16f628.mpas,129 :: 		RCSTA.CREN := 1;    // enable receiving / accept continuous mode
	BSF        RCSTA+0, 4
;electronique_interface_midi_005b_16f628.mpas,130 :: 		RCSTA.SPEN := 1;    // Rx enabled;
	BSF        RCSTA+0, 7
;electronique_interface_midi_005b_16f628.mpas,131 :: 		RCSTA.TX9 := 0;     // 8-bits transmission
	BCF        RCSTA+0, 6
;electronique_interface_midi_005b_16f628.mpas,132 :: 		PIE1.RCIE := 1;     // enable interrupt for UART Rx
	BSF        PIE1+0, 5
;electronique_interface_midi_005b_16f628.mpas,134 :: 		UART1_Init(cMidiBaudrate); // speed for MIDI communication
	MOVLW      39
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;electronique_interface_midi_005b_16f628.mpas,136 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init1
	NOP
	NOP
;electronique_interface_midi_005b_16f628.mpas,139 :: 		Memset(@ArrRxBuf, 0, cRxBufSize);
	MOVLW      _ArrRxBuf+0
	MOVWF      FARG_memset_p+0
	CLRF       FARG_memset_character+0
	MOVLW      64
	MOVWF      FARG_memset_n+0
	CLRF       FARG_memset_n+1
	CALL       _memset+0
;electronique_interface_midi_005b_16f628.mpas,140 :: 		iRxHead := 0;
	CLRF       _iRxHead+0
;electronique_interface_midi_005b_16f628.mpas,141 :: 		iRxTail := 0;
	CLRF       _iRxTail+0
;electronique_interface_midi_005b_16f628.mpas,142 :: 		bRxBufFull := false ;
	CLRF       _bRxBufFull+0
;electronique_interface_midi_005b_16f628.mpas,143 :: 		bRxBufEmpty := true;
	MOVLW      255
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_005b_16f628.mpas,144 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_005b_16f628.mpas,145 :: 		iOutStates := 0;
	CLRF       _iOutStates+0
;electronique_interface_midi_005b_16f628.mpas,147 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_interface_midi_005b_16f628.mpas,150 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,152 :: 		if PIR1.RCIF = 1 then
	BTFSS      PIR1+0, 5
	GOTO       L__Interrupt4
;electronique_interface_midi_005b_16f628.mpas,154 :: 		iRxStatus := RCSTA; // Error-handling
	MOVF       RCSTA+0, 0
	MOVWF      _iRxStatus+0
;electronique_interface_midi_005b_16f628.mpas,157 :: 		iRxData := RCREG;
	MOVF       RCREG+0, 0
	MOVWF      _iRxData+0
;electronique_interface_midi_005b_16f628.mpas,161 :: 		if (iRxStatus and %00000110) = 0 then
	MOVLW      6
	ANDWF      _iRxStatus+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt7
;electronique_interface_midi_005b_16f628.mpas,163 :: 		if (not bRxBufFull) then       // if buffer full, do nothing
	COMF       _bRxBufFull+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt10
;electronique_interface_midi_005b_16f628.mpas,166 :: 		if (iRxData <> cMIDI_Active_Sensing) then
	MOVF       _iRxData+0, 0
	XORLW      254
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt13
;electronique_interface_midi_005b_16f628.mpas,169 :: 		ArrRxBuf[iRxTail] := iRxData;
	MOVF       _iRxTail+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       _iRxData+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_005b_16f628.mpas,170 :: 		Inc(iRxTail);
	INCF       _iRxTail+0, 1
;electronique_interface_midi_005b_16f628.mpas,171 :: 		if iRxTail > cRxBufSize then // reach buffer end, return to buffer start
	MOVF       _iRxTail+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt16
;electronique_interface_midi_005b_16f628.mpas,172 :: 		iRxTail := 0;
	CLRF       _iRxTail+0
L__Interrupt16:
;electronique_interface_midi_005b_16f628.mpas,173 :: 		bRxBufEmpty := false;        // flag that some data have been received
	CLRF       _bRxBufEmpty+0
;electronique_interface_midi_005b_16f628.mpas,174 :: 		if iRxTail = iRxHead then
	MOVF       _iRxTail+0, 0
	XORWF      _iRxHead+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt19
;electronique_interface_midi_005b_16f628.mpas,175 :: 		bRxBufFull := true;
	MOVLW      255
	MOVWF      _bRxBufFull+0
L__Interrupt19:
;electronique_interface_midi_005b_16f628.mpas,176 :: 		end;
L__Interrupt13:
;electronique_interface_midi_005b_16f628.mpas,177 :: 		end;
L__Interrupt10:
;electronique_interface_midi_005b_16f628.mpas,178 :: 		end
	GOTO       L__Interrupt8
;electronique_interface_midi_005b_16f628.mpas,179 :: 		else
L__Interrupt7:
;electronique_interface_midi_005b_16f628.mpas,183 :: 		Clearbit(RCSTA, CREN);
	BCF        RCSTA+0, 4
;electronique_interface_midi_005b_16f628.mpas,184 :: 		Setbit(RCSTA, CREN);
	BSF        RCSTA+0, 4
;electronique_interface_midi_005b_16f628.mpas,185 :: 		end;
L__Interrupt8:
;electronique_interface_midi_005b_16f628.mpas,186 :: 		end;
L__Interrupt4:
;electronique_interface_midi_005b_16f628.mpas,187 :: 		end;
L_end_Interrupt:
L__Interrupt111:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Note_Play:

;electronique_interface_midi_005b_16f628.mpas,190 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,191 :: 		UART1_Write(Data1);
	MOVF       FARG_Note_Play_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_005b_16f628.mpas,192 :: 		UART1_Write(Data2);
	MOVF       FARG_Note_Play_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_005b_16f628.mpas,193 :: 		UART1_Write(Data3);
	MOVF       FARG_Note_Play_Data3+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_005b_16f628.mpas,194 :: 		end;
L_end_Note_Play:
	RETURN
; end of _Note_Play

_Data_Reset:

;electronique_interface_midi_005b_16f628.mpas,197 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,199 :: 		for i := 0 to 5 do
	CLRF       _i+0
L__Data_Reset24:
;electronique_interface_midi_005b_16f628.mpas,200 :: 		ArrRxData[i] := $00;
	MOVF       _i+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	CLRF       INDF+0
	MOVF       _i+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L__Data_Reset27
	INCF       _i+0, 1
	GOTO       L__Data_Reset24
L__Data_Reset27:
;electronique_interface_midi_005b_16f628.mpas,201 :: 		end;
L_end_Data_Reset:
	RETURN
; end of _Data_Reset

_Data_IsSysex:

;electronique_interface_midi_005b_16f628.mpas,204 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,206 :: 		((ArrRxData[0] = cMIDI_Sysex_Start) and (ArrRxData[iRxByteCount - 1] = cMIDI_Sysex_End)) or
	MOVF       _ArrRxData+0, 0
	XORLW      240
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	DECF       _iRxByteCount+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      247
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,207 :: 		(ArrRxData[0] = cMIDI_RT_START) or
	MOVF       _ArrRxData+0, 0
	XORLW      250
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,208 :: 		(ArrRxData[0] = cMIDI_RT_STOP)
	MOVF       _ArrRxData+0, 0
	XORLW      252
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,209 :: 		);
;electronique_interface_midi_005b_16f628.mpas,210 :: 		end;
	MOVF       R2+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex:
	RETURN
; end of _Data_IsSysex

_Data_IsSysex_RT_Start:

;electronique_interface_midi_005b_16f628.mpas,213 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,214 :: 		result := (ArrRxData[0] = cMIDI_RT_START);
	MOVF       _ArrRxData+0, 0
	XORLW      250
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,215 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_RT_Start:
	RETURN
; end of _Data_IsSysex_RT_Start

_Data_IsSysex_RT_Stop:

;electronique_interface_midi_005b_16f628.mpas,218 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,219 :: 		result := (ArrRxData[0] = cMIDI_RT_STOP);
	MOVF       _ArrRxData+0, 0
	XORLW      252
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,220 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_RT_Stop:
	RETURN
; end of _Data_IsSysex_RT_Stop

_Data_IsSysex_MMC_Start:

;electronique_interface_midi_005b_16f628.mpas,223 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,224 :: 		result := false;
	CLRF       R3+0
;electronique_interface_midi_005b_16f628.mpas,225 :: 		if iRxByteCount = 6 then
	MOVF       _iRxByteCount+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_Start33
;electronique_interface_midi_005b_16f628.mpas,229 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,231 :: 		(ArrRxData[3] = $06) and
	MOVF       _ArrRxData+3, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,232 :: 		(ArrRxData[4] = cMIDI_MMC_START)
	MOVF       _ArrRxData+4, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,234 :: 		);
;electronique_interface_midi_005b_16f628.mpas,235 :: 		end
	GOTO       L__Data_IsSysex_MMC_Start34
;electronique_interface_midi_005b_16f628.mpas,236 :: 		else if iRxByteCount = 10 then
L__Data_IsSysex_MMC_Start33:
	MOVF       _iRxByteCount+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_Start36
;electronique_interface_midi_005b_16f628.mpas,240 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,242 :: 		(ArrRxData[3] = $07) and
	MOVF       _ArrRxData+3, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,243 :: 		(ArrRxData[4] and $F0 = $40) and
	MOVLW      240
	ANDWF      _ArrRxData+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      64
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,244 :: 		(ArrRxData[6] = cMIDI_MMC_START)
	MOVF       _ArrRxData+6, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,246 :: 		);
;electronique_interface_midi_005b_16f628.mpas,247 :: 		end;
L__Data_IsSysex_MMC_Start36:
L__Data_IsSysex_MMC_Start34:
;electronique_interface_midi_005b_16f628.mpas,248 :: 		end;
	MOVF       R3+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_MMC_Start:
	RETURN
; end of _Data_IsSysex_MMC_Start

_Data_IsSysex_MMC_Stop:

;electronique_interface_midi_005b_16f628.mpas,251 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,252 :: 		result := false;
	CLRF       R3+0
;electronique_interface_midi_005b_16f628.mpas,253 :: 		if iRxByteCount = 6 then
	MOVF       _iRxByteCount+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_Stop40
;electronique_interface_midi_005b_16f628.mpas,257 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,259 :: 		(ArrRxData[3] = $06) and
	MOVF       _ArrRxData+3, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,260 :: 		(ArrRxData[4] = cMIDI_MMC_STOP)
	MOVF       _ArrRxData+4, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,262 :: 		);
;electronique_interface_midi_005b_16f628.mpas,263 :: 		end
	GOTO       L__Data_IsSysex_MMC_Stop41
;electronique_interface_midi_005b_16f628.mpas,264 :: 		else if iRxByteCount = 10 then
L__Data_IsSysex_MMC_Stop40:
	MOVF       _iRxByteCount+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_Stop43
;electronique_interface_midi_005b_16f628.mpas,268 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,270 :: 		(ArrRxData[3] = $07) and
	MOVF       _ArrRxData+3, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,271 :: 		(ArrRxData[4] and $F0 = $40) and
	MOVLW      240
	ANDWF      _ArrRxData+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      64
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,272 :: 		(ArrRxData[6] = cMIDI_MMC_STOP)
	MOVF       _ArrRxData+6, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,274 :: 		);
;electronique_interface_midi_005b_16f628.mpas,275 :: 		end;
L__Data_IsSysex_MMC_Stop43:
L__Data_IsSysex_MMC_Stop41:
;electronique_interface_midi_005b_16f628.mpas,276 :: 		end;
	MOVF       R3+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_MMC_Stop:
	RETURN
; end of _Data_IsSysex_MMC_Stop

_Data_IsSysex_MMC_RecPunchIn:

;electronique_interface_midi_005b_16f628.mpas,279 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,280 :: 		result := false;
	CLRF       R3+0
;electronique_interface_midi_005b_16f628.mpas,281 :: 		if iRxByteCount = 6 then
	MOVF       _iRxByteCount+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_RecPunchIn47
;electronique_interface_midi_005b_16f628.mpas,285 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,287 :: 		(ArrRxData[3] = $06) and
	MOVF       _ArrRxData+3, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,288 :: 		(ArrRxData[4] = cMIDI_MMC_RECORD_PUNCHIN)
	MOVF       _ArrRxData+4, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,290 :: 		);
;electronique_interface_midi_005b_16f628.mpas,291 :: 		end
	GOTO       L__Data_IsSysex_MMC_RecPunchIn48
;electronique_interface_midi_005b_16f628.mpas,292 :: 		else if iRxByteCount = 8 then
L__Data_IsSysex_MMC_RecPunchIn47:
	MOVF       _iRxByteCount+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_RecPunchIn50
;electronique_interface_midi_005b_16f628.mpas,296 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,298 :: 		(ArrRxData[3] = $07) and
	MOVF       _ArrRxData+3, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,299 :: 		(ArrRxData[4] and $F0 = $40) and
	MOVLW      240
	ANDWF      _ArrRxData+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      64
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,300 :: 		(ArrRxData[5] = $01) and
	MOVF       _ArrRxData+5, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,301 :: 		(ArrRxData[6] = $02)
	MOVF       _ArrRxData+6, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,303 :: 		);
;electronique_interface_midi_005b_16f628.mpas,304 :: 		end;
L__Data_IsSysex_MMC_RecPunchIn50:
L__Data_IsSysex_MMC_RecPunchIn48:
;electronique_interface_midi_005b_16f628.mpas,305 :: 		end;
	MOVF       R3+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_MMC_RecPunchIn:
	RETURN
; end of _Data_IsSysex_MMC_RecPunchIn

_Data_IsSysex_MMC_RecPunchOut:

;electronique_interface_midi_005b_16f628.mpas,308 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,309 :: 		result := false;
	CLRF       R3+0
;electronique_interface_midi_005b_16f628.mpas,310 :: 		if iRxByteCount = 6 then
	MOVF       _iRxByteCount+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_RecPunchOut54
;electronique_interface_midi_005b_16f628.mpas,314 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,316 :: 		(ArrRxData[3] = $06) and
	MOVF       _ArrRxData+3, 0
	XORLW      6
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,317 :: 		(ArrRxData[4] = cMIDI_MMC_RECORD_PUNCHOUT)
	MOVF       _ArrRxData+4, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,319 :: 		);
;electronique_interface_midi_005b_16f628.mpas,320 :: 		end
	GOTO       L__Data_IsSysex_MMC_RecPunchOut55
;electronique_interface_midi_005b_16f628.mpas,321 :: 		else if iRxByteCount = 8 then
L__Data_IsSysex_MMC_RecPunchOut54:
	MOVF       _iRxByteCount+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Data_IsSysex_MMC_RecPunchOut57
;electronique_interface_midi_005b_16f628.mpas,325 :: 		(ArrRxData[1] = $7F) and
	MOVF       _ArrRxData+1, 0
	XORLW      127
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,327 :: 		(ArrRxData[3] = $07) and
	MOVF       _ArrRxData+3, 0
	XORLW      7
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,328 :: 		(ArrRxData[4] and $F0 = $40) and
	MOVLW      240
	ANDWF      _ArrRxData+4, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      64
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,329 :: 		(ArrRxData[5] = $01) and
	MOVF       _ArrRxData+5, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,330 :: 		(ArrRxData[6] = $00)
	MOVF       _ArrRxData+6, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_005b_16f628.mpas,332 :: 		);
;electronique_interface_midi_005b_16f628.mpas,333 :: 		end;
L__Data_IsSysex_MMC_RecPunchOut57:
L__Data_IsSysex_MMC_RecPunchOut55:
;electronique_interface_midi_005b_16f628.mpas,334 :: 		end;
	MOVF       R3+0, 0
	MOVWF      R0+0
L_end_Data_IsSysex_MMC_RecPunchOut:
	RETURN
; end of _Data_IsSysex_MMC_RecPunchOut

_Midi_DataReceived:

;electronique_interface_midi_005b_16f628.mpas,337 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,339 :: 		result := (not bRxBufEmpty);
	COMF       _bRxBufEmpty+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,341 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Midi_DataReceived:
	RETURN
; end of _Midi_DataReceived

_Midi_MsgReceived:

;electronique_interface_midi_005b_16f628.mpas,344 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,347 :: 		result := Data_IsSysex;
	CALL       _Data_IsSysex+0
	MOVF       R0+0, 0
	MOVWF      Midi_MsgReceived_local_result+0
;electronique_interface_midi_005b_16f628.mpas,348 :: 		end;
	MOVF       Midi_MsgReceived_local_result+0, 0
	MOVWF      R0+0
L_end_Midi_MsgReceived:
	RETURN
; end of _Midi_MsgReceived

_Midi_RxReadByte:

;electronique_interface_midi_005b_16f628.mpas,354 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,356 :: 		Rk := 0;
	CLRF       R2+0
;electronique_interface_midi_005b_16f628.mpas,358 :: 		if bRxBufEmpty = false then
	MOVF       _bRxBufEmpty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Midi_RxReadByte63
;electronique_interface_midi_005b_16f628.mpas,361 :: 		Rk := ArrRxBuf[iRxHead];
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R2+0
;electronique_interface_midi_005b_16f628.mpas,362 :: 		ArrRxData[iRxByteCount] := Rk;
	MOVF       _iRxByteCount+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_005b_16f628.mpas,363 :: 		inc(iRxByteCount);
	INCF       _iRxByteCount+0, 1
;electronique_interface_midi_005b_16f628.mpas,366 :: 		ArrRxBuf[iRxHead] := 0; // clear value that has been read (not really needed ?)
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	CLRF       INDF+0
;electronique_interface_midi_005b_16f628.mpas,367 :: 		inc(iRxHead);
	INCF       _iRxHead+0, 1
;electronique_interface_midi_005b_16f628.mpas,368 :: 		if iRxHead > cRxBufSize then
	MOVF       _iRxHead+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Midi_RxReadByte66
;electronique_interface_midi_005b_16f628.mpas,369 :: 		iRxHead := 0;
	CLRF       _iRxHead+0
L__Midi_RxReadByte66:
;electronique_interface_midi_005b_16f628.mpas,370 :: 		bRxBufEmpty := (iRxHead = iRxTail); // all received bytes have been read
	MOVF       _iRxHead+0, 0
	XORWF      _iRxTail+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_005b_16f628.mpas,372 :: 		end;
L__Midi_RxReadByte63:
;electronique_interface_midi_005b_16f628.mpas,373 :: 		Result := Rk;
	MOVF       R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,374 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Midi_RxReadByte:
	RETURN
; end of _Midi_RxReadByte

_Main_Welcome:

;electronique_interface_midi_005b_16f628.mpas,377 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,378 :: 		Out_LedRec := 1;
	BSF        RA2_bit+0, 2
;electronique_interface_midi_005b_16f628.mpas,379 :: 		Out_LedPlay := 1;
	BSF        RA3_bit+0, 3
;electronique_interface_midi_005b_16f628.mpas,380 :: 		Out_debug := 1;
	BSF        RA4_bit+0, 4
;electronique_interface_midi_005b_16f628.mpas,381 :: 		Note_Play(cMIDI_Note_On, cMIDI_Pitch, cMIDI_Vel_On);
	MOVLW      144
	MOVWF      FARG_Note_Play_Data1+0
	MOVLW      60
	MOVWF      FARG_Note_Play_Data2+0
	MOVLW      100
	MOVWF      FARG_Note_Play_Data3+0
	CALL       _Note_Play+0
;electronique_interface_midi_005b_16f628.mpas,382 :: 		Delay_ms(200);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__Main_Welcome69:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome69
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome69
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome69
	NOP
	NOP
;electronique_interface_midi_005b_16f628.mpas,383 :: 		Note_Play(cMIDI_Note_Off, cMIDI_Pitch, cMIDI_Vel_Off);
	MOVLW      128
	MOVWF      FARG_Note_Play_Data1+0
	MOVLW      60
	MOVWF      FARG_Note_Play_Data2+0
	CLRF       FARG_Note_Play_Data3+0
	CALL       _Note_Play+0
;electronique_interface_midi_005b_16f628.mpas,384 :: 		Out_LedRec := 0;
	BCF        RA2_bit+0, 2
;electronique_interface_midi_005b_16f628.mpas,385 :: 		Out_LedPlay := 0;
	BCF        RA3_bit+0, 3
;electronique_interface_midi_005b_16f628.mpas,386 :: 		Out_debug := 0;
	BCF        RA4_bit+0, 4
;electronique_interface_midi_005b_16f628.mpas,387 :: 		end;
L_end_Main_Welcome:
	RETURN
; end of _Main_Welcome

_main:

;electronique_interface_midi_005b_16f628.mpas,390 :: 		begin
;electronique_interface_midi_005b_16f628.mpas,391 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_interface_midi_005b_16f628.mpas,394 :: 		Main_Welcome;
	CALL       _Main_Welcome+0
;electronique_interface_midi_005b_16f628.mpas,397 :: 		Data_Reset;
	CALL       _Data_Reset+0
;electronique_interface_midi_005b_16f628.mpas,398 :: 		Out_MMC := 0;
	BCF        RA0_bit+0, 0
;electronique_interface_midi_005b_16f628.mpas,399 :: 		Out_RT := 0;
	BCF        RA1_bit+0, 1
;electronique_interface_midi_005b_16f628.mpas,401 :: 		while true do
L__main72:
;electronique_interface_midi_005b_16f628.mpas,404 :: 		Out_MMC := (iOutStates.cStateMmcOn and (In_Inhibit = 1)) or (In_Force = 0);
	BTFSC      RB4_bit+0, 4
	GOTO       L__main126
	BCF        3, 0
	GOTO       L__main127
L__main126:
	BSF        3, 0
L__main127:
	BTFSS      _iOutStates+0, 0
	GOTO       L__main128
	BTFSS      3, 0
	GOTO       L__main128
	BSF        114, 0
	GOTO       L__main129
L__main128:
	BCF        114, 0
L__main129:
	BTFSC      RB5_bit+0, 5
	GOTO       L__main130
	BSF        3, 0
	GOTO       L__main131
L__main130:
	BCF        3, 0
L__main131:
	BTFSC      114, 0
	GOTO       L__main132
	BTFSC      3, 0
	GOTO       L__main132
	BCF        RA0_bit+0, 0
	GOTO       L__main133
L__main132:
	BSF        RA0_bit+0, 0
L__main133:
;electronique_interface_midi_005b_16f628.mpas,405 :: 		Out_RT  := (iOutStates.cStateRtOn and (In_Inhibit = 1)) or (In_Force = 0);
	BTFSC      RB4_bit+0, 4
	GOTO       L__main134
	BCF        3, 0
	GOTO       L__main135
L__main134:
	BSF        3, 0
L__main135:
	BTFSS      _iOutStates+0, 1
	GOTO       L__main136
	BTFSS      3, 0
	GOTO       L__main136
	BSF        114, 0
	GOTO       L__main137
L__main136:
	BCF        114, 0
L__main137:
	BTFSC      RB5_bit+0, 5
	GOTO       L__main138
	BSF        3, 0
	GOTO       L__main139
L__main138:
	BCF        3, 0
L__main139:
	BTFSC      114, 0
	GOTO       L__main140
	BTFSC      3, 0
	GOTO       L__main140
	BCF        RA1_bit+0, 1
	GOTO       L__main141
L__main140:
	BSF        RA1_bit+0, 1
L__main141:
;electronique_interface_midi_005b_16f628.mpas,406 :: 		Out_LedRec := iOutStates.cStateRec;
	BTFSC      _iOutStates+0, 4
	GOTO       L__main142
	BCF        RA2_bit+0, 2
	GOTO       L__main143
L__main142:
	BSF        RA2_bit+0, 2
L__main143:
;electronique_interface_midi_005b_16f628.mpas,407 :: 		Out_LedPlay := iOutStates.cStatePlay and (not iOutStates.cStateRec);
	BTFSC      _iOutStates+0, 4
	GOTO       L__main144
	BSF        3, 0
	GOTO       L__main145
L__main144:
	BCF        3, 0
L__main145:
	BTFSS      _iOutStates+0, 3
	GOTO       L__main146
	BTFSS      3, 0
	GOTO       L__main146
	BSF        RA3_bit+0, 3
	GOTO       L__main147
L__main146:
	BCF        RA3_bit+0, 3
L__main147:
;electronique_interface_midi_005b_16f628.mpas,410 :: 		if Midi_DataReceived then
	CALL       _Midi_DataReceived+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main77
;electronique_interface_midi_005b_16f628.mpas,413 :: 		RxDataLast := Midi_RxReadByte;
	CALL       _Midi_RxReadByte+0
	MOVF       R0+0, 0
	MOVWF      _RxDataLast+0
;electronique_interface_midi_005b_16f628.mpas,416 :: 		if not In_EchoOff then       // In_EchoOff = 0 -> send data
	BTFSC      RB0_bit+0, 0
	GOTO       L__main148
	BSF        3, 0
	GOTO       L__main149
L__main148:
	BCF        3, 0
L__main149:
	BTFSS      3, 0
	GOTO       L__main80
;electronique_interface_midi_005b_16f628.mpas,417 :: 		UART1_Write(RxDataLast);
	MOVF       _RxDataLast+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
L__main80:
;electronique_interface_midi_005b_16f628.mpas,420 :: 		if ((RxDataLast = cMIDI_Sysex_Start) or
	MOVF       _RxDataLast+0, 0
	XORLW      240
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_005b_16f628.mpas,421 :: 		(RxDataLast = cMIDI_RT_START) or
	MOVF       _RxDataLast+0, 0
	XORLW      250
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      R1+0, 1
;electronique_interface_midi_005b_16f628.mpas,422 :: 		(RxDataLast = cMIDI_RT_STOP)) then
	MOVF       _RxDataLast+0, 0
	XORLW      252
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main83
;electronique_interface_midi_005b_16f628.mpas,424 :: 		bRxSysexStarted := true;
	MOVLW      255
	MOVWF      _bRxSysexStarted+0
;electronique_interface_midi_005b_16f628.mpas,425 :: 		end
	GOTO       L__main84
;electronique_interface_midi_005b_16f628.mpas,426 :: 		else
L__main83:
;electronique_interface_midi_005b_16f628.mpas,428 :: 		if not bRxSysexStarted then
	COMF       _bRxSysexStarted+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main86
;electronique_interface_midi_005b_16f628.mpas,430 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_005b_16f628.mpas,431 :: 		Data_Reset;
	CALL       _Data_Reset+0
;electronique_interface_midi_005b_16f628.mpas,432 :: 		end;
L__main86:
;electronique_interface_midi_005b_16f628.mpas,433 :: 		end;
L__main84:
;electronique_interface_midi_005b_16f628.mpas,436 :: 		if Data_IsSysex then
	CALL       _Data_IsSysex+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main89
;electronique_interface_midi_005b_16f628.mpas,438 :: 		if Data_IsSysex_MMC_RecPunchIn then
	CALL       _Data_IsSysex_MMC_RecPunchIn+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main92
;electronique_interface_midi_005b_16f628.mpas,440 :: 		iOutStates.cStateMmcOn := 1;
	BSF        _iOutStates+0, 0
;electronique_interface_midi_005b_16f628.mpas,442 :: 		iOutStates.cStateRec := 1;
	BSF        _iOutStates+0, 4
;electronique_interface_midi_005b_16f628.mpas,443 :: 		end;
L__main92:
;electronique_interface_midi_005b_16f628.mpas,444 :: 		if Data_IsSysex_MMC_RecPunchOut then
	CALL       _Data_IsSysex_MMC_RecPunchOut+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main95
;electronique_interface_midi_005b_16f628.mpas,446 :: 		iOutStates.cStateMmcOn := 0;
	BCF        _iOutStates+0, 0
;electronique_interface_midi_005b_16f628.mpas,448 :: 		iOutStates.cStateRec := 0;
	BCF        _iOutStates+0, 4
;electronique_interface_midi_005b_16f628.mpas,449 :: 		end;
L__main95:
;electronique_interface_midi_005b_16f628.mpas,450 :: 		if Data_IsSysex_MMC_Stop then
	CALL       _Data_IsSysex_MMC_Stop+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main98
;electronique_interface_midi_005b_16f628.mpas,452 :: 		iOutStates.cStateMmcOn := 0;
	BCF        _iOutStates+0, 0
;electronique_interface_midi_005b_16f628.mpas,453 :: 		iOutStates.cStateStop := 1;
	BSF        _iOutStates+0, 2
;electronique_interface_midi_005b_16f628.mpas,454 :: 		iOutStates.cStatePlay := 0;
	BCF        _iOutStates+0, 3
;electronique_interface_midi_005b_16f628.mpas,455 :: 		iOutStates.cStateRec := 0;
	BCF        _iOutStates+0, 4
;electronique_interface_midi_005b_16f628.mpas,456 :: 		end;
L__main98:
;electronique_interface_midi_005b_16f628.mpas,457 :: 		if Data_IsSysex_MMC_Start then
	CALL       _Data_IsSysex_MMC_Start+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main101
;electronique_interface_midi_005b_16f628.mpas,459 :: 		iOutStates.cStateMmcOn := 1;
	BSF        _iOutStates+0, 0
;electronique_interface_midi_005b_16f628.mpas,460 :: 		iOutStates.cStateStop := 0;
	BCF        _iOutStates+0, 2
;electronique_interface_midi_005b_16f628.mpas,461 :: 		iOutStates.cStatePlay := 1;
	BSF        _iOutStates+0, 3
;electronique_interface_midi_005b_16f628.mpas,462 :: 		end;
L__main101:
;electronique_interface_midi_005b_16f628.mpas,463 :: 		if Data_IsSysex_RT_Start then
	CALL       _Data_IsSysex_RT_Start+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main104
;electronique_interface_midi_005b_16f628.mpas,465 :: 		iOutStates.cStateRtOn := 1;
	BSF        _iOutStates+0, 1
;electronique_interface_midi_005b_16f628.mpas,466 :: 		iOutStates.cStateStop := 0;
	BCF        _iOutStates+0, 2
;electronique_interface_midi_005b_16f628.mpas,467 :: 		iOutStates.cStatePlay := 1;
	BSF        _iOutStates+0, 3
;electronique_interface_midi_005b_16f628.mpas,468 :: 		end;
L__main104:
;electronique_interface_midi_005b_16f628.mpas,469 :: 		if Data_IsSysex_RT_Stop then
	CALL       _Data_IsSysex_RT_Stop+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main107
;electronique_interface_midi_005b_16f628.mpas,471 :: 		iOutStates.cStateRtOn := 0;
	BCF        _iOutStates+0, 1
;electronique_interface_midi_005b_16f628.mpas,472 :: 		iOutStates.cStateStop := 1;
	BSF        _iOutStates+0, 2
;electronique_interface_midi_005b_16f628.mpas,473 :: 		iOutStates.cStatePlay := 0;
	BCF        _iOutStates+0, 3
;electronique_interface_midi_005b_16f628.mpas,474 :: 		iOutStates.cStateRec := 0;
	BCF        _iOutStates+0, 4
;electronique_interface_midi_005b_16f628.mpas,475 :: 		end;
L__main107:
;electronique_interface_midi_005b_16f628.mpas,477 :: 		bRxSysexStarted := false;
	CLRF       _bRxSysexStarted+0
;electronique_interface_midi_005b_16f628.mpas,478 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_005b_16f628.mpas,479 :: 		Data_Reset;
	CALL       _Data_Reset+0
;electronique_interface_midi_005b_16f628.mpas,480 :: 		end;
L__main89:
;electronique_interface_midi_005b_16f628.mpas,481 :: 		end;
L__main77:
;electronique_interface_midi_005b_16f628.mpas,484 :: 		end;
	GOTO       L__main72
;electronique_interface_midi_005b_16f628.mpas,485 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
